Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class FisherFGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.FisherFGen

    public class FisherFGen

extends RandomVariateGen

This class implements random variate generators for the Fisher F distribution with n and m degrees of freedom, where n and m are positive integers. The density function of this distribution is

f (x) = Γ((n + m)/2)nn/2mm/2/[Γ(n/2)Γ(m/2)]x(n-2)/2/(m + nx)(n+m)/2, for x > 0.

Constructor Summary
`FisherFGen(RandomStream s, FisherFDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.
`FisherFGen(RandomStream s, int n, int m)` Creates a Fisher F random variate generator with n and m degrees of freedom, using stream `s`.

Method Summary
`int` | `getM()` Returns the parameter p of this object.
`int` | `getN()` Returns the parameter n of this object.
`static double` | `nextDouble(RandomStream s, int n, int m)` Generates a variate from the Fisher F distribution with n and m degrees of freedom, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FisherFGen

    public FisherFGen(RandomStream s,
                      int n,
                      int m)

  Creates a Fisher F random variate generator with n and m degrees of freedom, using stream `s`.

### FisherFGen

    public FisherFGen(RandomStream s,
                      FisherFDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    int n,
                                    int m)

  Generates a variate from the Fisher F distribution with n and m degrees of freedom, using stream `s`.

### getN

    public int getN()

  Returns the parameter n of this object.

### getM

    public int getM()

  Returns the parameter p of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.